// Ionic Variables and Theming. For more info, please see:
// http://ionicframework.com/docs/theming/

// Font path is used to include ionicons,
// roboto, and noto sans fonts
$font-path: "../assets/fonts";

// The app direction is used to include
// rtl styles in your app. For more info, please see:
// http://ionicframework.com/docs/theming/rtl-support/
$app-direction: ltr;


@import "ionic.globals";

/*
@font-face {
 font-family: 'URWGothic L';
 src:url('../assets/fonts/ufonts.com_urw-gothic-l-book.ttf') format('truetype');
 font-weight: normal;
 font-style: normal;
}

$font-family-base: "URWGothic L";
$font-family-ios-base: $font-family-base;
$font-family-md-base: $font-family-base;
$font-family-wp-base: $font-family-base; */

// Shared Variables
// --------------------------------------------------
// To customize the look and feel of this app, you can override
// the Sass variables found in Ionic's source scss files.
// To view all the possible Ionic variables, see:
// http://ionicframework.com/docs/theming/overriding-ionic-variables/

// Named Color Variables
// --------------------------------------------------
// Named colors makes it easy to reuse colors on various components.
// It's highly recommended to change the default colors
// to match your app's branding. Ionic uses a Sass map of
// colors so you can add, rename and remove colors as needed.
// The "primary" color is the only required color in the map.

$colors: (
  primary:    #488aff,
  secondary:  #32db64,
  danger:     #f53d3d,
  light:      #f4f4f4,
  dark:       #222,
  mainColor:  #F6D155,
  inactive:   #ffd24d,
  subColor:   #262626
);

//Top toolbar
$toolbar-background: color($colors, mainColor); 
$toolbar-md-background: color($colors, mainColor);
$toolbar-md-title-text-color: color($colors, subColor);
$toolbar-wp-title-text-color: color($colors, subColor);

//Bottom tabs
$tabs-md-background: color($colors, mainColor);
$tabs-md-tab-color-active: color($colors, subColor);
$tabs-md-tab-color-inactive: color($colors, dark);

$infinite-scroll-loading-text-color: color($colors, subColor);

$toast-md-background:	color($colors, subColor);
$toast-md-title-color:	color($colors, mainColor);

$text-input-ios-highlight-color: color($colors, mainColor);
$text-input-ios-highlight-color-valid: color($colors, mainColor);
$text-input-md-highlight-color: color($colors, mainColor);
$text-input-ios-background-color: color($colors, mainColor);

$label-ios-text-color: color($colors, light);
$label-ios-text-color-focused: color($colors, mainColor);
$label-md-text-color-focused: color($colors, mainColor);
$label-wp-text-color-focused: color($colors, mainColor);

$action-sheet-ios-button-cancel-background: color($colors, subColor);



// App iOS Variables
// --------------------------------------------------
// iOS only Sass variables can go here

$toolbar-ios-title-text-color: color($colors, subColor);

$tabs-ios-background: color($colors, mainColor);
$tabs-ios-tab-text-color-active: color($colors, subColor);
$tabs-ios-tab-icon-color-active: color($colors, subColor);
$tabs-ios-tab-icon-color: color($colors, dark);
$tabs-ios-tab-text-color: color($colors, dark);

// App Material Design Variables
// --------------------------------------------------
// Material Design only Sass variables can go here




// App Windows Variables
// --------------------------------------------------
// Windows only Sass variables can go here




// App Theme
// --------------------------------------------------
// Ionic apps can have different themes applied, which can
// then be future customized. This import comes last
// so that the above variables are used and Ionic's
// default are overridden.

@import "ionic.theme.default";


// Ionicons
// --------------------------------------------------
// The premium icon font for Ionic. For more info, please see:
// http://ionicframework.com/docs/ionicons/

@import "ionic.ionicons";


// Fonts
// --------------------------------------------------

@import "roboto";
@import "noto-sans";
